sccs-cdc(1)

NAME
sccs-cdc, cdc - change the delta commentary of an SCCS delta

SYNOPSIS

/usr/ccs/bin/cdc -rsid [-mmr-list] [-y [comment]] s.filename...

DESCRIPTION

cdc annotates the delta commentary for the SCCS delta ID (SID) specified by the -r option in each named s.file.

If the v flag is set in the s.file, you can also use cdc to update the Modification Request (MR) list.

If you checked in the delta, or, if you own the file and directory and have write permission, you can use cdc to annotate the commentary.

Rather than replacing the existing commentary, cdc inserts the new comment you supply, followed by a line of the form:

*** CHANGED *** yy/mm/dd hh/mm/ss username

above the existing commentary.

If a directory is named as the s.filename argument, the cdc command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). If `-' is given as the s.filename argument, each line of the standard input is taken as the name of an SCCS history file to be processed, and the -m and -y options must be used.

OPTIONS

-rsid
    Specify the SID of the delta to change.

-mmr-list
    Specify one or more MR numbers to add or delete. When specifying more than one MR on the command line, mr-list takes the form of a quoted, space-separated list. To delete an MR number, precede it with a ! character (an empty MR list has no effect). A list of deleted MRs is placed in the comment section of the delta commentary. If -m is not used and the standard input is a terminal, cdc prompts with MRs? for the list (before issuing the comments? prompt). -m is only useful when the v flag is set in the s.file. If that flag has a value, it is taken to be the name of a program to validate the MR numbers. If that validation program returns a non-zero exit status, cdc terminates and the delta commentary remains unchanged.

-V  Prints the cdc version number string and exists.

-y[comment]
    Use comment as the annotation in the delta commentary. The previous comments are retained; the comment is added along with a notation that the commentary was changed. A null comment leaves the commentary unaffected. If -y is not specified and the standard input is a terminal, cdc prompts with comments? for the text of the notation to be added. An unescaped NEWLINE character terminates the annotation text.

EXAMPLES

Example 1 Changing the annotated commentary

The following command:

example% cdc -r1.6 -y"corrected commentary" s.program.c

produces the following annotated commentary for delta 1.6 in s.program.c:

D 1.6 88/07/05 23:21:07 username 9 0 00001/00000/00000
MRs:
COMMENTS:
corrected commentary
*** CHANGED *** 88/07/07 14:09:41 username
performance enhancements in main()

FILES

x.file
    temporary copy of the s.file; renamed to the s.file after completion

z.file
    temporary lock file contains the binary process id in host byte order followed by the host name

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-comb(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), sccscvt(1), sccslog(1), bdiff(1), diff(1), what(1), changeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).